be.vlaanderen.mercurius.mohm.schemas.v1

## Class EMOHMDF105ReportDeliveryRequest

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF105ReportDeliveryRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:32:58+02:00",
                 comments="JAXB RI v2.3.7")
      public class EMOHMDF105ReportDeliveryRequest
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType"/>
               <element name="ReportDelivery" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ReportDeliveryRequestType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMOHMDF105ReportDeliveryRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `ReportDeliveryRequestType` | `getReportDelivery()` Gets the value of the reportDelivery property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
    `void` | `setReportDelivery(ReportDeliveryRequestType value)` Sets the value of the reportDelivery property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMOHMDF105ReportDeliveryRequest

          public EMOHMDF105ReportDeliveryRequest()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getReportDelivery

          public ReportDeliveryRequestType getReportDelivery()

      Gets the value of the reportDelivery property.
      Returns:
        possible object is `ReportDeliveryRequestType`

    - #### setReportDelivery

          public void setReportDelivery(ReportDeliveryRequestType value)

      Sets the value of the reportDelivery property.
      Parameters:
        `value` - allowed object is `ReportDeliveryRequestType`

Connector Packaging generic 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.